// @buildsys IMPORTED: DO NOT EDIT! 
{
	"format_version": "1.10.0",
	"animations": {
		"animation.mnp_ci.stingray.flop": {
			"loop": true,
			"bones": {
				"body_front": {
					"rotation": ["math.cos(q.anim_time*800) * 17", 0, 0]
				},
				"leftFin0": {
					"rotation": ["math.sin(q.anim_time*600)*-10", 0, "math.pow(math.sin(q.anim_time*400),4)*-24"]
				},
				"body_back": {
					"rotation": ["math.cos(q.anim_time*800+220) * 20", 0, 0]
				},
				"tail": {
					"rotation": ["math.cos(q.anim_time*800+450) * 17", 0, 0]
				},
				"tailFin": {
					"rotation": ["math.sin(q.anim_time*800+90) * -12", 0, 0]
				},
				"leftFin1": {
					"rotation": ["math.sin(q.anim_time*600+200)*-10", 0, "math.pow(math.sin(q.anim_time*400),4)*-24"]
				},
				"leftFin2": {
					"rotation": ["math.sin(q.anim_time*600+100)*-20", 0, 0]
				},
				"rightFin0": {
					"rotation": ["math.sin(q.anim_time*600)*-10", 0, "math.pow(math.sin(q.anim_time*400),4)*24"]
				},
				"rightFin1": {
					"rotation": ["math.sin(q.anim_time*600+200)*-10", 0, "math.pow(math.sin(q.anim_time*400),4)*24"]
				},
				"rightFin2": {
					"rotation": ["math.sin(q.anim_time*600+100)*-20", 0, 0]
				},
				"head": {
					"rotation": ["math.cos(q.anim_time*800) * -14", 0, 0]
				}
			}
		},
		"animation.mnp_ci.stingray.swim": {
			"loop": true,
			"anim_time_update": "q.anim_time+q.delta_time*v.smooth_speed",
			"bones": {
				"body_front": {
					"rotation": ["math.sin(q.anim_time*500-50)*-5", 0, 0],
					"position": [0, 0, "math.cos(q.anim_time*500)*0.4"]
				},
				"leftFin0": {
					"rotation": ["math.sin(q.anim_time*500)*-10", 0, "math.cos(q.anim_time*500)*5"]
				},
				"body_back": {
					"rotation": ["math.sin(q.anim_time*500+200)*-10", 0, 0]
				},
				"tail": {
					"rotation": ["math.sin(q.anim_time*500+450)*-15", 0, 0]
				},
				"tailFin": {
					"rotation": ["math.sin(q.anim_time*500+550)*10", 0, 0]
				},
				"leftFin1": {
					"rotation": ["math.sin(q.anim_time*500+200)*-10", 0, "math.cos(q.anim_time*500+200)*5"]
				},
				"leftFin2": {
					"rotation": ["math.sin(q.anim_time*500+100)*-20", 0, 0]
				},
				"rightFin0": {
					"rotation": ["math.sin(q.anim_time*500)*-10", 0, "math.cos(q.anim_time*500)*-5"]
				},
				"rightFin1": {
					"rotation": ["math.sin(q.anim_time*500+200)*-10", 0, "math.cos(q.anim_time*500+200)*-5"]
				},
				"rightFin2": {
					"rotation": ["math.sin(q.anim_time*500+100)*-20", 0, 0]
				},
				"head": {
					"rotation": ["math.sin(q.anim_time*500-70)*3", 0, 0]
				}
			}
		},
		"animation.mnp_ci.stingray.swim.angle": {
			"loop": true,
			"bones": {
				"root": {
					"rotation": [0, "v.yaw_speed*0.5", 0]
				},
				"body_back": {
					"rotation": [0, "-v.yaw_speed*0.1", 0]
				},
				"tail": {
					"rotation": [0, "-v.yaw_speed*0.2", 0]
				},
				"tailFin": {
					"rotation": [0, "-v.yaw_speed*0.25", 0]
				},
				"leftFin1": {
					"rotation": [0, "-v.yaw_speed*0.1", 0]
				},
				"rightFin1": {
					"rotation": [0, "-v.yaw_speed*0.1", 0]
				}
			}
		}
	}
}